//
//  DTDot.h
//  dots
//
//  Created by Matthew Schettler on 1/17/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface DTDot : UIImageView {
    
    float speed;
    float movingAngle; // in radians
    
    CGRect playArea;
    
    float meHalfWidth;
    float meHalfHeight;
    
    float movingAngleInDegree;
    

}

- (void)doMove;
- (void)didBumpWall;
- (void)selfSetAngleInDegrees:(float)degree;
- (void)moveToRandomPoint;


@end

CGPoint addToPointThisSpeedAngle(CGPoint point, float speed, float angle);
